octopress-使用bundle install时遇到的问题

作者:用户 来源:互联网 浏览:333 次 时间:2016-03-01 13:39:06

githuboctopressgemrubybundle install

octopress-使用bundle install时遇到的问题 - 摘要: 使用bundleinstall时遇到的问题50CFetchingsourceindexfromhttps://ruby.taobao.org/Resolvingdependencies........

问题描述

使用bundle install时遇到的问题

Fetching source index from https://ruby.taobao.org/
Resolving dependencies...............
Using rake 10.4.2

Gem::Ext::BuildError: ERROR: Failed to build gem native extension.

C:/Ruby22-x64/bin/ruby.exe -r ./siteconf20150417-6052-ppbpwq.rb extconf.rb

checking for main() in -lc... *** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers. Check the mkmf.log file for more details. You may
need configuration options.

Provided configuration options:
--with-opt-dir
--without-opt-dir
--with-opt-include
--without-opt-include=${opt-dir}/include
--with-opt-lib
--without-opt-lib=${opt-dir}/lib
--with-make-prog
--without-make-prog
--srcdir=.
--curdir
--ruby=C:/Ruby22-x64/bin/$(RUBY_BASE_NAME)
--with-redcloth_scan-dir
--without-redcloth_scan-dir
--with-redcloth_scan-include
--without-redcloth_scan-include=${redcloth_scan-dir}/include
--with-redcloth_scan-lib
--without-redcloth_scan-lib=${redcloth_scan-dir}/lib
--with-clib
--without-clib
C:/Ruby22-x64/lib/ruby/2.2.0/mkmf.rb:456:in try_do': The compiler failed to gen
erate an executable file. (RuntimeError)
You have to install development tools first.
from C:/Ruby22-x64/lib/ruby/2.2.0/mkmf.rb:541:in
try_link0'
from C:/Ruby22-x64/lib/ruby/2.2.0/mkmf.rb:556:in try_link'
from C:/Ruby22-x64/lib/ruby/2.2.0/mkmf.rb:735:in
try_func'
from C:/Ruby22-x64/lib/ruby/2.2.0/mkmf.rb:966:in `block in have_library'

    from C:/Ruby22-x64/lib/ruby/2.2.0/mkmf.rb:911:in `block in checking_for'

    from C:/Ruby22-x64/lib/ruby/2.2.0/mkmf.rb:351:in `block (2 levels) in po

stpone'
from C:/Ruby22-x64/lib/ruby/2.2.0/mkmf.rb:321:in open'
from C:/Ruby22-x64/lib/ruby/2.2.0/mkmf.rb:351:in
block in postpone'
from C:/Ruby22-x64/lib/ruby/2.2.0/mkmf.rb:321:in open'
from C:/Ruby22-x64/lib/ruby/2.2.0/mkmf.rb:347:in
postpone'
from C:/Ruby22-x64/lib/ruby/2.2.0/mkmf.rb:910:in checking_for'
from C:/Ruby22-x64/lib/ruby/2.2.0/mkmf.rb:961:in
have_library'
from extconf.rb:5:in `'

extconf failed, exit code 1

Gem files will remain installed in C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/RedClo
th-4.2.9 for inspection.
Results logged to C:/Ruby22-x64/lib/ruby/gems/2.2.0/extensions/x64-mingw32/2.2.0
/RedCloth-4.2.9/gem_make.out
An error occurred while installing RedCloth (4.2.9), and Bundler cannot
continue.
Make sure that gem install RedCloth -v '4.2.9' succeeds before bundling.

解决方案

http://blog.csdn.net/pan_tian/article/details/8761956

解决方案二:

提示的的RedCloth,你安装好了没

解决方案三:

在windows下配的环境?

【云栖快讯】阿里云栖开发者沙龙(Java技术专场)火热来袭!快来报名参与吧!  详情请点击
云栖社区(yq.aliyun.com)为您免费提供octopress-使用bundle install时遇到的问题相关信息,包括 githuboctopressgemruby bundle install 的信息 ,所有octopress-使用bundle install时遇到的问题版权归作者所有,本社区不拥有所有权,也不承担相关法律责任。如果您发现本社区中有涉嫌抄袭的内容,欢迎发送邮件至:yqgroup@service.aliyun.com 进行举报,并提供相关证据,一经查实,本社区将立刻删除涉嫌侵权内容。 该页面h5页面的地址是:https://m.aliyun.com/yunqi/wenzhang/show_56887,您可以点击octopress-使用bundle install时遇到的问题-手机站访问。
KubeCon2018西雅图在前线(一):云原生概念已经深入人心
弹性可伸缩的计算服务,助您降低 IT 成本,提升运维效率

40+云计算产品,6个月免费体验

现在注册,免费体验40+云产品,及域名优惠!

云服务器9.9元/月,大学必备

热点导航